curl --request POST \
--url https://integration.getmateo.com/api/v1/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": False,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": False,
"sms_marketing_opt_in": False,
"email_marketing_opt_in": False,
"facebook_marketing_opt_in": False,
"instagram_marketing_opt_in": False,
"google_business_messaging_marketing_opt_in": False,
"postal_marketing_opt_in": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
full_name: '<string>',
fts: '<string>',
is_blocked: false,
external_id: '<string>',
secondary_external_id: '<string>',
birthday: '2023-12-25',
salutation: '<string>',
email: '<string>',
sms: '<string>',
whatsapp: '<string>',
instagram: '<string>',
facebook: '<string>',
google_business_messaging: '<string>',
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
zipcode: '<string>',
country: '<string>',
postal: '<string>',
number_of_marketing_opt_in_requests: 123,
latest_marketing_opt_in_request_sent_at: '<string>',
campaign_messages_this_month: 123,
whatsapp_marketing_opt_in: false,
sms_marketing_opt_in: false,
email_marketing_opt_in: false,
facebook_marketing_opt_in: false,
instagram_marketing_opt_in: false,
google_business_messaging_marketing_opt_in: false,
postal_marketing_opt_in: true
})
};
fetch('https://integration.getmateo.com/api/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}This response has no body data.Create Contact
Create a new contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
contact
Contact ID
Contact creation date
Latest update
Organisation ID
Name of contact
Handle of contact
Is the contact blocked?
External ID
Secondary External ID
Birthday of the contact
Salutation
Email of contact
SMS of contact
Whatsapp Number
Google business messaging account of contact
First line of the postal address
Second line of the postal address
City of the postal address
Postal code or ZIP code of the address
Country of the postal address
Postal handle or identifier for the contact
Number of marketing opt in requests
Latest marketing opt in request sent at
Campaign Messages this month
WhatsApp marketign opt in
SMS marketing opt in
Email marketing opt in of contact
Facebook marketing opt in
Instagram marketing opt in
Google business messaging marketing opt in
Postal marketing opt in status
WhatsApp transactional opt in
legitimate_interest, contract_fulfillment, consent_granted SMS transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Email transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Facebook transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Instagram transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Google business messaging transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Postal transactional opt in status
legitimate_interest, contract_fulfillment, consent_granted Response
The updated Contact object
Contact ID
Contact creation date
Latest update
Organisation ID
Name of contact
Handle of contact
Is the contact blocked?
External ID
Secondary External ID
Birthday of the contact
Salutation
Email of contact
SMS of contact
Whatsapp Number
Displayed name of contact in the Mateo app
Google business messaging account of contact
First line of the postal address
Second line of the postal address
City of the postal address
Postal code or ZIP code of the address
Country of the postal address
Postal handle or identifier for the contact
Number of marketing opt in requests
Latest marketing opt in request sent at
Campaign Messages this month
WhatsApp marketign opt in
SMS marketing opt in
Email marketing opt in of contact
Facebook marketing opt in
Instagram marketing opt in
Google business messaging marketing opt in
Postal marketing opt in status
WhatsApp transactional opt in
legitimate_interest, contract_fulfillment, consent_granted SMS transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Email transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Facebook transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Instagram transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Google business messaging transactional opt in
legitimate_interest, contract_fulfillment, consent_granted Postal transactional opt in status
legitimate_interest, contract_fulfillment, consent_granted